Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153152 - Performance improvement suggestion regarding logging
Summary: Performance improvement suggestion regarding logging
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openldap
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jan Safranek
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-01 21:02 UTC by Brian DeFeyter
Modified: 2015-01-08 00:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-21 08:42:50 UTC


Attachments (Terms of Use)

Description Brian DeFeyter 2005-04-01 21:02:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.6) Gecko/20050317 Firefox/1.0.2

Description of problem:


Version-Release number of selected component (if applicable):
openldap-servers-2.2.13-2

How reproducible:
Always

Steps to Reproduce:
As far as I can tell, the default install of openldap-servers and syslog within RHEL4 has the default logging settings enabled in slapd, but no logfile defined within syslog.

Most people probably don't need all of the verbose information that would be logged via syslog by default, so all this really does is result in is a higher cpu load generated by syslog than slapd itself.

I'd suggest either tuning the logging way down, or just adding "loglevel 0" to slapd.conf as I have done to completely disable logging.

Only a suggestion..

Additional info:

Comment 1 Suzanne Hillman 2005-04-04 19:40:03 UTC
Internal RFE bug #153322 entered; will be considered for future releases.

Comment 2 Jan Safranek 2007-06-21 08:42:50 UTC
This feature request is still being evaluated by Red Hat project management.
Please use Featurezilla for discussion about the feature request.


Note You need to log in before you can comment on or make changes to this bug.